Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.net.http
Class MessageHeader

    java.lang.Object
      |
      +--weblogic.net.http.MessageHeader

public class MessageHeader
extends java.lang.Object

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`MessageHeader()`
`MessageHeader(java.io.InputStream is)`

Method Summary
`void` | `add(java.lang.String k, java.lang.String v)`
`java.lang.String` | `findValue(java.lang.String k)`
`java.lang.String` | `getKey(int n)`
`java.lang.String` | `getValue(int n)`
`void` | `parseHeader(java.io.InputStream is)` Parse a MIME header from an input stream.
`void` | `prepend(java.lang.String k, java.lang.String v)`
`void` | `print(HttpOutputStream p)`
`void` | `print(java.io.PrintStream p)`
`void` | `set(int i, java.lang.String k, java.lang.String v)`
`void` | `set(java.lang.String k, java.lang.String v)`
`void` | `setIfNotSet(java.lang.String k, java.lang.String v)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageHeader

    public MessageHeader()

### MessageHeader

    public MessageHeader(java.io.InputStream is)
                  throws java.io.IOException

Method Detail

### findValue

    public java.lang.String findValue(java.lang.String k)

### getKey

    public java.lang.String getKey(int n)

### getValue

    public java.lang.String getValue(int n)

### print

    public void print(HttpOutputStream p)
               throws java.io.IOException

### print

    public void print(java.io.PrintStream p)

### add

    public void add(java.lang.String k,
                    java.lang.String v)

### prepend

    public void prepend(java.lang.String k,
                        java.lang.String v)

### set

    public void set(int i,
                    java.lang.String k,
                    java.lang.String v)

### set

    public void set(java.lang.String k,
                    java.lang.String v)

### setIfNotSet

    public void setIfNotSet(java.lang.String k,
                            java.lang.String v)

### parseHeader

    public void parseHeader(java.io.InputStream is)
                     throws java.io.IOException

  Parse a MIME header from an input stream.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD